org.apache.cassandra.io.sstable

## Class BloomFilterTracker

- java.lang.Object
- - org.apache.cassandra.io.sstable.BloomFilterTracker

    public class BloomFilterTracker
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`BloomFilterTracker()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addFalsePositive()`
`void` `addTruePositive()`
`long` `getFalsePositiveCount()`
`long` `getRecentFalsePositiveCount()`
`long` `getRecentTruePositiveCount()`
`long` `getTruePositiveCount()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BloomFilterTracker

    public BloomFilterTracker()

### Method Detail

#### addFalsePositive

    public void addFalsePositive()

#### addTruePositive

    public void addTruePositive()

#### getFalsePositiveCount

    public long getFalsePositiveCount()

#### getRecentFalsePositiveCount

    public long getRecentFalsePositiveCount()

#### getTruePositiveCount

    public long getTruePositiveCount()

#### getRecentTruePositiveCount

    public long getRecentTruePositiveCount()